# DataExchange
TKXSBase
Interface

# Interface_GeneralLib Class Reference

`#include <Interface_GeneralLib.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Interface_GeneralLib (const Handle(Interface_Protocol)&aprotocol)
Standard_EXPORT | Interface_GeneralLib ()
Standard_EXPORT void | AddProtocol (const Handle(Standard_Transient)&aprotocol)
Standard_EXPORT void | Clear ()
Standard_EXPORT void | SetComplete ()
Standard_EXPORT Standard_Boolean | Select (const Handle(Standard_Transient)&obj, Handle(Interface_GeneralModule)&module, Standard_Integer &CN) const
Standard_EXPORT void | Start ()
Standard_EXPORT Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT const Handle_Interface_GeneralModule & | Module () const
Standard_EXPORT const Handle_Interface_Protocol & | Protocol () const

## Static Public Member Functions

static Standard_EXPORT void | SetGlobal (const Handle(Interface_GeneralModule)&amodule, const Handle(Interface_Protocol)&aprotocol)

## Private Attributes

Handle_Interface_NodeOfGeneralLib | thelist
Handle_Interface_NodeOfGeneralLib | thecurr

## Constructor & Destructor Documentation

Standard_EXPORT Interface_GeneralLib::Interface_GeneralLib | ( | const Handle(Interface_Protocol)& | aprotocol | ) |

Standard_EXPORT Interface_GeneralLib::Interface_GeneralLib | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void Interface_GeneralLib::AddProtocol | ( | const Handle(Standard_Transient)& | aprotocol | ) |

Standard_EXPORT void Interface_GeneralLib::Clear | ( |  | ) |

Standard_EXPORT const Handle_Interface_GeneralModule& Interface_GeneralLib::Module | ( |  | ) | const

Standard_EXPORT Standard_Boolean Interface_GeneralLib::More | ( |  | ) | const

Standard_EXPORT void Interface_GeneralLib::Next | ( |  | ) |

void Interface_GeneralLib::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Interface_GeneralLib::operator new | ( | size_t | size | ) | `[inline]`

void* Interface_GeneralLib::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_Interface_Protocol& Interface_GeneralLib::Protocol | ( |  | ) | const

Standard_EXPORT Standard_Boolean Interface_GeneralLib::Select | ( | const Handle(Standard_Transient)& | obj,
|  | Handle(Interface_GeneralModule)& | module,
|  | Standard_Integer & | CN
| ) | const

Standard_EXPORT void Interface_GeneralLib::SetComplete | ( |  | ) |

static Standard_EXPORT void Interface_GeneralLib::SetGlobal | ( | const Handle(Interface_GeneralModule)& | amodule,
|  | const Handle(Interface_Protocol)& | aprotocol
| ) | `[static]`

Standard_EXPORT void Interface_GeneralLib::Start | ( |  | ) |

## Field Documentation

Handle_Interface_NodeOfGeneralLib Interface_GeneralLib::thecurr `[private]`

Handle_Interface_NodeOfGeneralLib Interface_GeneralLib::thelist `[private]`

The documentation for this class was generated from the following file:

- Interface_GeneralLib.hxx